Bug 868528 - Review Request: perl-ZMQ-Constants - Constants for the libzmq library
Summary: Review Request: perl-ZMQ-Constants - Constants for the libzmq library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 868529 868531
TreeView+ depends on / blocked
 
Reported: 2012-10-20 16:33 UTC by Jose Pedro Oliveira
Modified: 2013-06-03 10:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 16:18:15 UTC
Type: ---
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2012-10-20 16:33:54 UTC
Spec URL:
http://um-pe09-2.di.uminho.pt/fedora/perl-ZMQ-Constants.spec

SRPM URL:
http://um-pe09-2.di.uminho.pt/fedora/perl-ZMQ-Constants-1.01-1.fc17.src.rpm

Description:
libzmq is a fast-changing beast and constants get renamed, new one gets
removed, etc...

Fedora Account System Username:
jpo


Additional info:
The ZeroMQ perl module is to be deprecated in favor of the ZMQ::* perl modules.
See also: http://blogs.perl.org/users/lestrrat/2012/01/zeromq-perl-rename-to-zmq.html

Comment 1 Petr Pisar 2012-10-30 10:02:35 UTC
Source tar ball is original (SHA-256: cd6ac0155c013c530e6ab852b5fdcb540ea52806e95b175b7be0ad7373e34a97). Ok.
Source and URL are usable. Ok.
Summary verified from lib/ZMQ/Constants.pm. Ok.
Description verified from lib/ZMQ/Constants.pm. Ok.
License verified from lib/ZMQ/Constants.pm. Ok.
Package does not contain any XS code, noarch BuilArch is Ok.

TODO: Remove explicit deleting empty directories from %install section. This is not needed anymore (perl-ZMQ-Constants.spec:34).
TODO: Replace PERL_INSTALL_ROOT with DESTDIR argument at make install. Modern Makefile.PL recognizes DESTDIR (perl-ZMQ-Constants.spec:31).

FIX: Remove bundled inc/* modules and build-require `perl(inc::Module::Install)' instead of `perl(ExtUtils::MakeMaker)', or specify all dependencies needed for bundled inc/* modules.

TODO: Build-require `perl(base)' for running tests (lib/ZMQ/Constants.pm:3).
TODO: Build-require `perl(Exporter)' for running tests (lib/ZMQ/Constants.pm:3).

FIX: Build-require `perl(Carp)' for running tests (lib/ZMQ/Constants.pm:4).

TODO: Build-require `perl(contstant)' for running tests (lib/ZMQ/Constants.pm:99).
TODO: Build-require `perl(Storable)' for running tests (lib/ZMQ/Constants/V3_1_2.pm:4).

All tests pass. Ok.

$ rpmlint perl-ZMQ-Constants.spec ../SRPMS/perl-ZMQ-Constants-1.01-1.fc19.src.rpm ../RPMS/noarch/perl-ZMQ-Constants-1.01-1.fc19.noarch.rpm 
perl-ZMQ-Constants.src: W: spelling-error Summary(en_US) libzmq -> Librium
perl-ZMQ-Constants.src: W: spelling-error %description -l en_US libzmq -> Librium
perl-ZMQ-Constants.noarch: W: spelling-error Summary(en_US) libzmq -> Librium
perl-ZMQ-Constants.noarch: W: spelling-error %description -l en_US libzmq -> Librium
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-ZMQ-Constants-1.01-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Oct 30 10:50 /usr/share/doc/perl-ZMQ-Constants-1.01
-rw-r--r--    1 root    root                      376 Oct 20 00:27 /usr/share/doc/perl-ZMQ-Constants-1.01/Changes
-rw-r--r--    1 root    root                     2958 Oct 30 10:50 /usr/share/man/man3/ZMQ::Constants.3pm.gz
drwxr-xr-x    2 root    root                        0 Oct 30 10:50 /usr/share/perl5/vendor_perl/ZMQ
drwxr-xr-x    2 root    root                        0 Oct 30 10:50 /usr/share/perl5/vendor_perl/ZMQ/Constants
-rw-r--r--    1 root    root                    10988 Oct 20 00:27 /usr/share/perl5/vendor_perl/ZMQ/Constants.pm
-rw-r--r--    1 root    root                      856 Jun 18 00:04 /usr/share/perl5/vendor_perl/ZMQ/Constants/V2_1_11.pm
-rw-r--r--    1 root    root                      689 Jun 18 00:04 /usr/share/perl5/vendor_perl/ZMQ/Constants/V3_1_1.pm
-rw-r--r--    1 root    root                      663 Jun 18 00:04 /usr/share/perl5/vendor_perl/ZMQ/Constants/V3_1_2.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-ZMQ-Constants-1.01-1.fc19.noarch.rpm |sort |uniq -c
      1 perl(base)
      1 perl(Carp)
      1 perl(constant)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.16.1)
      1 perl(Storable)
      1 perl(strict)
      1 perl(ZMQ::Constants)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-ZMQ-Constants-1.01-1.fc19.noarch.rpm |sort |uniq -c
      1 perl(ZMQ::Constants) = 1.01
      1 perl-ZMQ-Constants = 1.01-1.fc19
      1 perl(ZMQ::Constants::V2_1_11)
      1 perl(ZMQ::Constants::V3_1_1)
      1 perl(ZMQ::Constants::V3_1_2)
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-ZMQ-Constants-1.01-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4638425). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.

Resolution: Package NOT approved.

Comment 3 Petr Pisar 2012-11-01 13:30:15 UTC
Spec file changes:
--- perl-ZMQ-Constants.spec.old 2012-10-20 18:21:57.000000000 +0200
+++ perl-ZMQ-Constants.spec     2012-11-01 11:53:52.000000000 +0100
@@ -1,6 +1,6 @@
 Name:           perl-ZMQ-Constants
 Version:        1.01
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Constants for the libzmq library

 License:        GPL+ or Artistic
@@ -10,8 +10,11 @@

 BuildArch:      noarch

+BuildRequires:  perl(Cwd)
 BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(Test::More)
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(Storable)

 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

@@ -28,10 +31,9 @@
 make %{?_smp_mflags}

 %install
-make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
+make pure_install DESTDIR=$RPM_BUILD_ROOT

 find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
-find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

 %{_fixperms} $RPM_BUILD_ROOT/*

@@ -46,6 +48,9 @@


 %changelog
+* Thu Nov  1 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
+- Handle comment #1 items of the review ticket #868528.
+
 * Sat Oct 20 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
 - Update to 1.01.


> TODO: Remove explicit deleting empty directories from %install section. This is not
> needed anymore (perl-ZMQ-Constants.spec:34).
-find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
Ok.

> TODO: Replace PERL_INSTALL_ROOT with DESTDIR argument at make install. Modern
> Makefile.PL recognizes DESTDIR (perl-ZMQ-Constants.spec:31).
 %install
-make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
+make pure_install DESTDIR=$RPM_BUILD_ROOT
Ok.

> FIX: Remove bundled inc/* modules and build-require `perl(inc::Module::Install)'
> instead of `perl(ExtUtils::MakeMaker)', or specify all dependencies needed for
> bundled inc/* modules.
+BuildRequires:  perl(Cwd)
Ok.

> TODO: Build-require `perl(base)' for running tests (lib/ZMQ/Constants.pm:3).
Not addressed. Ok.

> TODO: Build-require `perl(Exporter)' for running tests (lib/ZMQ/Constants.pm:3).
Not addressed. Ok.

> FIX: Build-require `perl(Carp)' for running tests (lib/ZMQ/Constants.pm:4).
+BuildRequires:  perl(Cwd)
Ok.

> TODO: Build-require `perl(contstant)' for running tests (lib/ZMQ/Constants.pm:99).
Not addressed. Ok.

> TODO: Build-require `perl(Storable)' for running tests (lib/ZMQ/Constants/V3_1_2.pm:4).
+BuildRequires:  perl(Storable)
Ok.

$ rpmlint perl-ZMQ-Constants.spec ../SRPMS/perl-ZMQ-Constants-1.01-2.fc19.src.rpm ../RPMS/noarch/perl-ZMQ-Constants-1.01-2.fc19.noarch.rpm 
perl-ZMQ-Constants.src: W: spelling-error Summary(en_US) libzmq -> Librium
perl-ZMQ-Constants.src: W: spelling-error %description -l en_US libzmq -> Librium
perl-ZMQ-Constants.noarch: W: spelling-error Summary(en_US) libzmq -> Librium
perl-ZMQ-Constants.noarch: W: spelling-error %description -l en_US libzmq -> Librium
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4646281). Ok.


Please consider implementing the not-addressed `TODO' items before building this package.

Resolution: Package APPROVED.

Comment 4 Jose Pedro Oliveira 2012-11-01 22:06:41 UTC
New Package SCM Request
=======================
Package Name: perl-ZMQ-Constants
Short Description: Constants for the libzmq library
Owners: jpo
Branches: f17 f18
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2012-11-02 10:49:14 UTC
Git done (by process-git-requests).

Petr, please take ownership of review BZs.  Thanks!

Comment 6 Fedora Update System 2012-11-03 00:01:30 UTC
perl-ZMQ-Constants-1.01-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-ZMQ-Constants-1.01-2.fc18

Comment 7 Fedora Update System 2012-11-03 00:03:01 UTC
perl-ZMQ-Constants-1.01-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-ZMQ-Constants-1.01-2.fc17

Comment 8 Fedora Update System 2012-11-03 19:31:08 UTC
perl-ZMQ-Constants-1.01-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2012-12-20 16:18:18 UTC
perl-ZMQ-Constants-1.01-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Jose Pedro Oliveira 2013-05-31 20:44:32 UTC
Package Change Request
======================
Package Name: perl-ZMQ-Constants
New Branches:  el6
Owners: jpo

Comment 11 Gwyn Ciesla 2013-06-03 10:13:36 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.